---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository.getsequelizemodel'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository.getsequelizemodel.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [getSequelizeModel](./sequelize.sequelizecrudrepository.getsequelizemodel.md)

## SequelizeCrudRepository.getSequelizeModel() method

Get Sequelize Model

**Signature:**

```typescript
getSequelizeModel(entityClass?: typeof Entity & {
        prototype: T;
    }): import("sequelize").ModelCtor<Model<any, any>>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

entityClass


</td><td>

typeof Entity &amp; { prototype: T; }


</td><td>

_(Optional)_


</td></tr>
</tbody></table>

**Returns:**

import("sequelize").ModelCtor&lt;Model&lt;any, any&gt;&gt;

Sequelize Model Instance based on the definitions from `entityClass`


